Opened 9 years ago

Closed 9 years ago

Last modified 44 years ago

#330 closed bug (Fixed)

Unknown pseudo-op: .subsections_via_symbols (apple gcc 3.3)

Reported by: jyasskin Owned by: wthaller
Priority: normal Milestone:
Component: Documentation Version: 6.4
Keywords: Cc:
Operating System: Architecture:
Type of failure: Difficulty:
Test Case: Blocked By:
Blocking: Related Tickets:

Description

After installing Wolfgang Thaller's ghc 6.4 package for
OSX 10.3, I got an error while building some Haskell
source: (with -v)

...
*** Assembler
gcc -I.. -c /tmp/ghc29861.s -o ../EventLoop.o
/tmp/ghc29861.s:4379:Unknown pseudo-op:
.subsections_via_symbols

gcc --version returned: "gcc (GCC) 3.3 20030304 (Apple
Computer, Inc. build 1495)"

I only had XCode 1.1 installed, so I tried upgrading it
and gcc. Now, gcc --version returns "gcc version 3.3
20030304 (Apple Computer, Inc. build 1671)", and ghc
successfully compiles things.

Change History (2)

comment:1 Changed 9 years ago by wthaller

  • Status changed from assigned to closed
Logged In: YES 
user_id=566359

The next release will mention the dependency on Xcode Tools 1.5 in the 
readme file and before installation.

comment:2 Changed 9 years ago by wthaller

Logged In: YES 
user_id=566359

The next release will mention the dependency on Xcode Tools 1.5 in the 
readme file and before installation.
Note: See TracTickets for help on using tickets.